#!/bin/python3

from toargridding.variables import Coordinate
from toargridding.metadata import Coordinates
import numpy as np
from pandas import Series

def coord_to_index(coord : Series, x0_axis : float, d_axis : float, binWrap:int=None) -> np.array:
        """converts a coordinate into a bin index on one axis

        Parameters:
        ----------
        coord:
            coordinate for conversion
        x0_axis:
            offset of the axis
        d_axis:
            resolution of the axis
        """
        binIDs = (np.ceil((coord / d_axis) - 0.5) - x0_axis / d_axis).astype(int)
        binIDs[binIDs >= binWrap] -=binWrap
        return binIDs


print("Script for visual inspection of coordinate results for longitude and latitude")

lon = Coordinate.from_resolution(Coordinates.longitude, 2.5,-180,180, True)
print(lon)

testData = [x+0.1 for x in range(-180,180)]
testBins = coord_to_index(Series(testData), lon.min, lon.step, len(lon.data) )
print(testBins)
print(len(lon.data))
print(lon.data[144])

print("\n")

#lat = Coordinate.from_resolution(Coordinates.latitude, 1.9,-90,90, False)
#print(lat)
